<?php
$discord_token = 'YOUR_DISCORD_BOT_TOKEN';

$rukassa_token = 'ВАШ ТОКЕН'; 
$rukassa_shop_id = 0; 

function sendDiscordMessage($message, $discord_user_id, $discord_token) {
    $url = "https://discord.com/api/v9/channels/YOUR_CHANNEL_ID/messages";
    $data = [
        'content' => $message,
    ];

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Authorization: Bot ' . $discord_token,
        'Content-Type: application/json'
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

    $response = curl_exec($ch);
    curl_close($ch);

    return $response;
}

function handlePaymentConfirmation($request) {
    $payment_status = $request->GET['status'];
    $discord_user_id = $request->GET['discord_user_id'];
    $item_id = $request->GET['item_id'];

    if ($payment_status === 'success') {
        sendDiscordMessage("Оплата прошла успешно!", $discord_user_id, $discord_token);
    } else {
        sendDiscordMessage("Платеж не прошел. Пожалуйста, попробуйте еще раз.", $discord_user_id, $discord_token);
    }
}

if (isset($_GET['status'])) { 
    handlePaymentConfirmation($_GET);
} else {
    if (isset($_POST['message'])) {
        $message = $_POST['message'];
        $discord_user_id = $_POST['discord_user_id'];
        
        if ($message === '!buyitem') {
            $item_id = 123; // ID Товара
            $amount = 300;  // Сумма
            $order_id = time() . mt_rand();

            $data = [
                'shop_id' => $rukassa_shop_id,
                'token' => $rukassa_token,
                'order_id' => $order_id,
                'amount' => $amount,
            ];

            $ch = curl_init('https://lk.rukassa.is/api/v1/create');
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data, '', '&'));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
            curl_setopt($ch, CURLOPT_HEADER, false);

            $result = json_decode(curl_exec($ch));
            curl_close($ch);

            if (!isset($result->url)) {
                sendDiscordMessage("Ошибка создания платежа. Пожалуйста, повторите попытку позже ", $discord_user_id, $discord_token);
                return;
            }

            $payment_url = $result->url . '&discord_user_id=' . $discord_user_id . '&item_id=' . $item_id . '&return_url=' . urlencode('http://yourwebsite.com/payment/return');

            sendDiscordMessage("Пожалуйста, перейдите по этому URL-адресу, чтобы завершить покупку: {$payment_url}", $discord_user_id, $discord_token);
        }
    }
}
?>